<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class Compras
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $user = Auth::user();
        if ($user->is_compras) {
            return $next($request);
        } else {
            return response('Necesitás ser de comisión compras para hacer esto', 403);
        }
    }
}
